/*---------------------------------------*\
 Text Center Plugin for Xinha
 -----------------------------------------
 author: Rahul Singh
 e-mail: induscrypt@gmail.com
 
 Based on  Quick Tag Editor Plugin for HTMLArea-3.0
 by Cau guanabara 
\*---------------------------------------*/

function IndusCenter(editor) {
  var cfg = editor.config;
  var self = this;

  cfg.registerButton({
	id       : "induscenter",
	tooltip  :  this._lc("Center Text"),
	image    : editor.imgURL("ed_induscenter.gif", "IndusCenter"), 
	textMode : false,
  action   : function(editor) { 
               self.buttonPress(editor); 
             }
  });
  cfg.addToolbarElement("induscenter", "htmlmode", 1);  
}

IndusCenter.prototype.buttonPress = function(editor) { 
var self = this;
var sel = editor.getSelectedHTML().replace(/(<[^>]*>|&nbsp;|\n|\r)/g,""); 
var param = new Object();
var centernode= null;
param.editor = editor;

//if already in centered text:
centernode= editor._getFirstAncestor(editor._getSelection(),['center']);
 if (centernode)
  {
  var c=confirm('Remove centred block?');
  if(c) {self.unsetCenterTag(editor, param,centernode );return; }  
  else return;  
  }

//Else for uncentred text, centre it!

 self.setCenterTag(editor, param); 
  
};


//Centre it
IndusCenter.prototype.setCenterTag = function(editor, param) {
//editor.surroundHTML(param.tagopen,param.tagclose);
editor.surroundHTML('<center>','</center>');

};

//if you're already inside Centred text, 
//remove center tag

IndusCenter.prototype.unsetCenterTag = function(editor, param, cnode) {

//now, as this is nodeType==1, or an element, do 
//what you can do with an elemnt

editor.selectNodeContents(cnode);
var shtml=editor.getSelectedHTML();
HTMLArea.removeFromParent(cnode);

//I don't think this is the most elegant thing to do, 
//but this is all I can manage right now
//hack be it

editor.insertHTML(shtml);

};

	

IndusCenter._pluginInfo = {
name          : "IndusCenter",
version       : "0.9 - beta",
developer     : "Rahul Singh",
developer_url : "mailto:induscrypt@gmail.com",
c_owner       : "Rahul Singh",
sponsor       : "Independent production",
sponsor_url   : "http://induscrypt.stumbleupon.com",
license       : "htmlArea"
};

IndusCenter.prototype._lc = function(string) {
	
	
    return HTMLArea._lc(string, 'IndusCenter');
   
   
   };
   
   
  
	
